Bug 250969 - Review Request: ocaml-curses - OCaml bindings for ncurses
Review Request: ocaml-curses - OCaml bindings for ncurses
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 251068
  Show dependency treegraph
 
Reported: 2007-08-06 04:48 EDT by Richard W.M. Jones
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-24 12:47:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
berrange: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2007-08-06 04:48:52 EDT
Spec URL: http://annexia.org/tmp/ocaml/ocaml-curses.spec
SRPM URL: http://annexia.org/tmp/ocaml/ocaml-curses-0.1-2.20020319.fc8.src.rpm
Description: OCaml bindings for ncurses.

The upstream project is http://www.nongnu.org/ocaml-tmk/
Comment 1 Daniel Berrange 2007-08-23 21:05:15 EDT
      - MUST: rpmlint must be run on every package. [WARNING]
$ rpmlint ocaml-curses-0.1-2.20020319.fc8.src.rpm 
W: ocaml-curses invalid-license LGPL
$ rpmlint ocaml-curses-0.1-2.20020319.fc8.x86_64.rpm 
W: ocaml-curses devel-file-in-non-devel-package /usr/lib64/ocaml/curses/curses.cmi
W: ocaml-curses invalid-license LGPL
$ rpmlint ocaml-curses-devel-0.1-2.20020319.fc8.x86_64.rpm 
W: ocaml-curses-devel invalid-license LGPL

Clarify LGPL license version.
devel file package warning is bogus for OCaml

      - MUST: The package must be named according to the Package Naming
Guidelines. [OK]
      - MUST: The spec file name must match the base package %{name} [OK]
      - MUST: The package must meet the Packaging Guidelines. [OK]
      - MUST: The package must be licensed with a Fedora approved license [OK]
      - MUST: The License field in the package spec file must match the actual
license. [WARNING: need to clarify LGPL version to 2.1+]
      - MUST: If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc. [OK]
      - MUST: The spec file must be written in American English. [OK]
      - MUST: The spec file for the package MUST be legible. [OK]
      - MUST: The sources used to build the package must match the upstream
source, as provided in the spec URL.  [OK]
      - MUST: The package must successfully compile and build into binary rpms
on at least one supported architecture. [OK x86_64 rawhide]
      - MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. [N/A]
      - MUST: All build dependencies must be listed in BuildRequires [OK]
      - MUST: The spec file MUST handle locales properly. [N/A]
      - MUST: Every binary RPM package which stores shared library files (not
just symlinks) in any of the dynamic linker's default paths, must call ldconfig
in %post and %postun. [N/A]
      - MUST: If the package is designed to be relocatable, the packager must
state this fact in the request for review. [N/A]
      - MUST: A package must own all directories that it creates. [OK]
      - MUST: A package must not contain any duplicate files in the %files
listing. [OK]
      - MUST: Permissions on files must be set properly. [OK]
      - MUST: Each package must have a %clean section [OK]
      - MUST: Each package must consistently use macros [OK]
      - MUST: The package must contain code, or permissable content. [OK]
      - MUST: Large documentation files should go in a -doc subpackage.  [N/A]
      - MUST: If a package includes something as %doc, it must not affect the
runtime of the application. [N/A]
      - MUST: Header files must be in a -devel package. [OK]
      - MUST: Static libraries must be in a -static package. [N/A]
      - MUST: Packages containing pkgconfig(.pc) files must 'Requires:
pkgconfig' (for directory ownership and usability). [N/A]
      - MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), then library files that end in .so (without suffix) must go in a
-devel package. [N/A]
      - MUST: In the vast majority of cases, devel packages must require the
base package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release} [OK] 
      - MUST: Packages must NOT contain any .la libtool archives [N/A]
      - MUST: Packages containing GUI applications must include a
%{name}.desktop file [N/A]
      - MUST: Packages must not own files or directories already owned by other
packages. [OK]
      - MUST: At the beginning of %install, each package MUST run rm -rf
%{buildroot} (or $RPM_BUILD_ROOT). See Prepping BuildRoot For %install for
details. [OK]
      - MUST: All filenames in rpm packages must be valid UTF-8. [OK]


OK, all supplementary guidelines for OCaml at:

http://fedoraproject.org/wiki/Packaging/OCaml

Will approve pending clarification of LGPL version in spec
Comment 2 Richard W.M. Jones 2007-08-24 08:14:44 EDT
Spec URL: http://annexia.org/tmp/ocaml/ocaml-curses.spec
SRPM URL: http://annexia.org/tmp/ocaml/ocaml-curses-0.1-3.20020319.fc8.src.rpm

* Mon Aug 24 2007 Richard W.M. Jones <rjones@redhat.com> - 0.1-3.20020319
- License is LGPL 2.1 or any later version.
Comment 3 Daniel Berrange 2007-08-24 09:36:03 EDT
All items addressed -> APPROVED
Comment 4 Richard W.M. Jones 2007-08-24 09:48:58 EDT
New Package CVS Request
=======================
Package Name: ocaml-curses
Short Description: OCaml bindings for ncurses
Owners: rjones@redhat.com
Branches: F-7
InitialCC: rjones@redhat.com
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2007-08-24 11:40:46 EDT
cvs done.
Comment 6 Richard W.M. Jones 2007-11-07 10:42:57 EST
Package Change Request
======================
Package Name: ocaml-curses
New Branches: EL-5
Comment 7 Kevin Fenzi 2007-11-07 14:55:25 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.